# Patient Basic Details

| **API URL**     | {{url}}/spice-service/patient/basic-details |
| --------------- | ------------------------------------------- |
| **Method**      | POST                                        |
| **Description** | Patient basic details                       |

#### **Input:** <a href="#patientbasicdetails-input" id="patientbasicdetails-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#patientbasicdetails-sampleinput" id="patientbasicdetails-sampleinput"></a>

{     "id": 10 }

#### **Output:** <a href="#patientbasicdetails-output" id="patientbasicdetails-output"></a>

| **Field Name**     | **Type** | **Comments**         |
| ------------------ | -------- | -------------------- |
| `id`               | String   | User ID              |
| `nationalId`       | String   | Patient national id  |
| `firstName`        | String   | Patient first name   |
| `lastName`         | String   | Patient last name    |
| `gender`           | String   | Gender               |
| `age`              | Bigint   | Patient age          |
| `isPregnant`       | Boolean  | Is pregnant          |
| `phoneNumber`      | String   | Patient phone number |
| `countryId`        | Bigint   | Country id           |
| `countyId`         | Bigint   | County id            |
| `subCountyId`      | Bigint   | Sub county id        |
| `siteId`           | Bigint   | Site id              |
| `occupation`       | String   | Patient occupation   |
| `levelOfEducation` | String   | Level of education   |
| `isRegularSmoker`  | Boolean  | Is regular smoker    |
| `programId`        | Bigint   | Program id           |
| `virtualId`        | Bigint   | Virtual id           |

#### **Sample Output:** <a href="#patientbasicdetails-sampleoutput" id="patientbasicdetails-sampleoutput"></a>

```
{
  "message": "Patient Basic Details fetched successfully.",
  "entity": {
    "id": 10,
    "nationalId": "KAVISHREE",
    "firstName": "KAVYA",
    "lastName": "SHREE",
    "gender": "Female",
    "age": 32,
    "isPregnant": true,
    "phoneNumber": "678518565",
    "phoneNumberCategory": "Personal",
    "countryId": 1,
    "countyId": 1,
    "subCountyId": 2,
    "siteId": 1,
    "occupation": "Self Employed",
    "levelOfEducation": "Secondary School Completed",
    "insuranceStatus": false,
    "isRegularSmoker": true,
    "programId": 2,
    "initial": "G",
    "emrNumber": 0,
    "patientStatus": "false",
    "virtualId": 10
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/patient-basic-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
